name: build_package_rpi 

on:
  push:
    branches: [ "2.3-evo" ]
  pull_request:
    branches: [ "2.3-evo" ]

env:
  # Customize the CMake build type here (Release, Debug, RelWithDebInfo, etc.)
  BUILD_TYPE: Release

jobs:
  build:
    runs-on: ubuntu-latest
    env:
      CLOUDSMITH_API_KEY: ${{ secrets.CLOUDSMITH_API_KEY }}
    steps:
    - name: Maximize build space
      uses: easimon/maximize-build-space@master
      with:
        root-reserve-mb: 512
        swap-size-mb: 1024
        remove-dotnet: 'true'
        remove-android: 'true'
        remove-haskell: 'true'
        overprovision-lvm: 'true'
   
    - uses: actions/checkout@v2
      with:
        submodules: recursive
        
    - name: Emulating Raspberry Pi 4
      id: qemu
      uses: pguyot/arm-runner-action@v2.5.2
      with:
        base_image: https://openhdfpv.org/wp-content/BaseImages/OpenHD-image-2022-05-28_1033.zip
        copy_repository_path: /opt
        copy_artifact_path: QOpenHD
        import_github_env: true
        cpu: cortex-a53
        commands: |
            rm -Rf /etc/apt/sources.list.d/openhd*
            apt update
            apt upgrade -y
            apt install -y curl
            apt-get clean
            rm -rf /var/lib/apt/lists/*
            sudo chown -R root:root /opt/QOpenHD
            ls -a
            cd QOpenHD
            sudo ./install_build_dep.sh rpi custom
            sudo ./package.sh armhf raspbian bullseye
            ls -a

    - name: Upload to Github
      uses: 'actions/upload-artifact@v2'
      with:
        name: "QOpenHd"
        path: |
          QOpenHD/*.deb
          
    - name: Push
      id: push
      uses: cloudsmith-io/action@master
      with:
        api-key: ${{ secrets.CLOUDSMITH_API_KEY }}
        command: "push"
        format: "deb"
        owner: "openhd"
        repo: "openhd-2-3-evo"
        distro: "raspbian"
        release: "bullseye"
        republish: "true" # needed ONLY if version is not changing
        file: "QOpenHD/*.deb"
          
      #- name: Install
      #  run: |
      #    cd OpenHD/build
      #    sudo cmake --install .
      #- name: Build ninja
      #  run: |
      #    sudo apt -y install ninja-build
      #    cd OpenHD
      #    ./build_cmake.sh
